### Copenhagen Truck Wash API Help

# Get customer versioned pricing/subscription/discount timeline

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /superuser/customers/pricing-history

## Operation

Operation ID: `getCustomerPricingHistoryV2`

Get customer versioned pricing/subscription/discount timeline

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
customer_number | query | yes | integer |
dateFrom | query | yes | string |
dateTo | query | yes | string |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Customer timeline resolved | application/json
400 |  |
401 |  |
403 |  |
500 |  |

Schema for response `200` (`application/json`):

{ "$ref": "#/components/schemas/CustomerPricingHistoryResponse" }
17 March 2026